## NAME

flowreplay - Connect to servers based on network traffic stored in pcap files

## SYNOPSIS

flowreplay [-flag [value]]... [--opt-name [[=| ]value]]...
<pcap_file(s)>

flowreplay is a tool for using network traffic stored in pcap(3) files as the basis for replaying connections to servers.

## DESCRIPTION

This manual page documents, briefly, the flowreplay command. Please note that flowreplay is currently in alpha. As such, it is still very much a work in progress and currently will not work for most uses. If you have the skill and interest to help make flowreplay work better, please contact Aaron Turner.

## OPTIONS

-d number, --dbug=number
  Enable debugging output. This option may appear up to 1 times. The default number for this option is:

0

If configured with --enable-debug, then you can specify a verbosity level for debugging output. Higher numbers increase verbosity.

-v, --verbose
  Print decoded packets via tcpdump to STDOUT. This option may appear up to 1 times.

-A string, --decode=string
  Arguments passed to tcpdump decoder. This option may appear up to 1 times. This option must appear in combination with the following options: verbose.

When enabling verbose mode (-v) you may also specify one or more additional arguments to pass to tcpdump to modify the way packets are decoded. By default, -n and -l are used. Be sure to quote the arguments like: -A "-axxx" so that they are not interpreted by tcpreplay. The following arguments are vaild: [ -aAeNqRStuvxX ] [ -E spi@ipaddr algo:secret,... ] [ -s snaplen ]

-m string, --mode=string
  Replay mode. This option may appear up to 1 times.

Flowreplay needs to know handle client/server exchanges to properly time. The options are:

send Replay traffic as fast as possible. Do not wait for server to reply.

wait Wait --wait sec.usec for the server to reply before sending.

bytes Wait until the server has sent the number of bytes stored in the pcap file.

user Send packets based on user interaction.

-w string, --wait=string
  Number of sec.usec to wait between client's turn to send. This option may appear up to 1 times.

If --mode is wait, then you can specify the amount of time to wait for the server to complete it's side of the transaction before starting to send the client side again.

-t string, --targetip=string
  Target host to connect to. This option may appear up to 1 times.

This option has not been fully documented.

-f string, --filter=string
  BPF filter to limit which flows are replayed. This option may appear up to 1 times.

-c string, --clientnet=string
  Client network(s).

This option has not been fully documented.

-s string, --servernet=string
  Server network(s).

This option has not been fully documented.

-n, --nosyn
  Disable Syn packet requirement to start connections.

This option has not been fully documented.

-l string, --slimit=string
  Service limit to proto/port.

This option has not been fully documented.

-V, --version
  Print version information.

-h, --less-help
  Display less usage information and exit.

-H, --help
  Display usage information and exit.
-!, --more-help
  Extended usage information passed thru pager.
- [rcfile], --save-opts[=rcfile]
  Save the option state to rcfile. The default is the last configuration file listed in the OPTION PRESETS section, below.
- rcfile, --load-opts=rcfile, --no-load-opts
  Load options from rcfile. The no-load-opts form will disable the loading of earlier RC/INI files. --no-load-opts is handled early, out of order.

## OPTION PRESETS

Any option that is not marked as not presettable may be preset by loading values from configuration ("RC" or ".INI") file(s). The homerc file is "$$/", unless that is a directory. In that case, the file ".flowreplayrc" is searched for within that directory.

## AUTHOR

Copyright 2000-2005 Aaron Turner

For support please use the tcpreplay-users@lists.sourceforge.net mailing list.

Released under the Free BSD License.

This manual page was AutoGen-erated from the flowreplay option definitions.